package scripty;

import java.io.*;

public class Main {
    public static void main(String[] args) throws Throwable {
	if (args.length < 2) {
	    System.err.println("USAGE: Main <inputfile.scr> <outputfile.sh>");
	    System.err.println("(If you plan to use clojure scripts, make sure you set the CLJJAR environment variable)");
	    System.exit(1);
	}

	Parser parser = new Parser(new FileInputStream(args[0]));
	ProgramRenderer renderer = new ProgramRenderer(parser.parse());
	String clojureJarPath = System.getenv("CLJJAR");
	if (clojureJarPath != null) {
	    renderer.setClojureJarPath(clojureJarPath);
	}
	PrintStream out = new PrintStream(new FileOutputStream(args[1]));
	out.println(renderer.render());
    }
}
