package scripty;

import java.util.*;
import org.w3c.dom.*;

public class NodeIterable implements Iterable<Node> {
    private final Node parent;

    public NodeIterable(Node parent) {
	this.parent = parent;
    }

    public Iterator<Node> iterator() {
	return new NodeIterator();
    }

    private class NodeIterator implements Iterator<Node> {
	private Node next;
	private int index;

	NodeIterator() {
	    this.index = 0;
	}

	public boolean hasNext() {
	    if (next == null) {
		if (index < parent.getChildNodes().getLength()) {
		    next = parent.getChildNodes().item(index++);
		    return true;
		} else {
		    return false;
		}
	    } else {
		return true;
	    }
	}

	public Node next() {
	    if (hasNext()) {
		Node temp = next;
		next = null;
		return temp;
	    } else {
		throw new NoSuchElementException();
	    }
	}

	public void remove() {
	    throw new UnsupportedOperationException();
	}
    }
}
